Bug 64511 - alternatives assumes incorrectly, gives bad directions
alternatives assumes incorrectly, gives bad directions
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: chkconfig (Show other bugs)
beta3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-06 18:59 EDT by Joshua Jensen
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-31 16:11:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2002-05-06 18:59:26 EDT
Description of Problem:

The alternatives command, when it says "Enter to keep the default[*]", assumes
that we haven't already choosen something else.  If I configure postfix as the
mta to use, sendmail still has a "*" by it (indicating that it is the system
default), but "Enter to keep the default[*]" isn't true.... it doesn't keep (or
set) the sendmail[*] default.  It shouldn't... it is supposed to keep _MY_
default[+] (which is postfix).  So the bug isn't alternatives behavior, just the
wording of what exactly pressing enter will do.

Expected Results:

Perhaps it should say:

"Press enter to keep the current choice[+], or type selection number:"


Thanks.
Comment 1 Joshua Jensen 2002-06-05 11:06:30 EDT
This bug could perhaps be fixed before translations for the next release become
an issue.  Marking this bug as Beta Program only.
Comment 2 Joshua Jensen 2002-10-01 17:03:41 EDT
Same old bug... and so easy to fix too!
Comment 3 Joshua Jensen 2003-01-03 12:44:50 EST
This can't be that big of a change:

Press enter to keep the current choice[+], or type selection number:




Has the string freeze happened yet?
Comment 4 Bill Nottingham 2003-01-31 16:11:49 EST
Fixed in 1.3.7-1.
Comment 5 Bill Nottingham 2003-01-31 16:12:21 EST
make that 1.3.8-1
Comment 6 Joshua Jensen 2003-01-31 17:21:49 EST
Thank you!

Note You need to log in before you can comment on or make changes to this bug.